Foreman - Feature #32822

Resource template input for job templates
06/17/2021 09:13 AM - Leos Stejskal

Status: Closed
Priority: Normal
Assignee: Leos Stejskal
Category: Templates

Target version:

Difficulty: Fixed in Releases: 3.1.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA: SAT-3236
Pull request: https://github.com/theforeman/foreman/p

ull/8600
Description

From https://issues.redhat.com/browse/SAT-3236:

It would be a user input similar to the Value Type search, requiring a Resource Type.

When such input is rendered in the invocation form, it creates a select2 (or similar) drop down field
allowing to search in all resources of a given type, e.g. ActivationKey.

The macro loading such input, e.g. input(‘registration_activation_key) would then return

the selected ActiveRecord instance of a selected ActivationKey, so the value would be stored as its id.

Related issues:
Related to Foreman Remote Execution - Feature #32890: job wizard add resource... Closed

Associated revisions

Revision 989e0aad - 08/09/2021 03:08 PM - Leos Stejskal

Fixes #32822 - Job templates and resource picker

New “resource’ user input type for templates with
template macro “input_resource’ returning the resource object

History

#1 - 06/17/2021 09:46 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8600 added

#2 - 06/27/2021 06:27 PM - Maria Agaphontzev
- Related to Feature #32890: job wizard add resource picker added

#3 - 08/09/2021 03:08 PM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#4 - 08/09/2021 04:08 PM - Leos Stejskal
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|989e0aad01df80dea8fd4734a78e794770b39f2d.

#5 - 11/10/2022 02:32 PM - Ewoud Kohl van Wijngaarden
- Red Hat JIRA set to SAT-3236
